import { IGherkinAstCollections, IMatch } from '../types';
export interface IGherkinMatchCollectionParams {
    type: IGherkinAstCollections['type'];
    match: IMatch;
    collection: IGherkinAstCollections[];
    matchProperty: 'name' | 'text';
}
export declare function matchInGherkinCollection<In extends IGherkinAstCollections = IGherkinAstCollections>({ type, match, collection, matchProperty }: IGherkinMatchCollectionParams): In;
export declare function matchGherkinText(subject: string, match: IMatch): boolean;
