"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function readInputFile({ filePath, testFilePath = '' }) {
    const dRequire = typeof __webpack_require__ === 'function' ? __non_webpack_require__ : require;
    const { dirname, isAbsolute, resolve } = dRequire('upath');
    const { readFileSync } = dRequire('fs');
    if (isAbsolute(filePath)) {
        return readFileSync(filePath, 'utf8');
    }
    const testDirectory = testFilePath && dirname(testFilePath);
    const finalPath = resolve(testDirectory, filePath);
    return readFileSync(finalPath, 'utf8');
}
exports.readInputFile = readInputFile;
