export declare type Omit<T, K extends keyof T> = T extends any ? Pick<T, Exclude<keyof T, K>> : never;
export declare type UnwrapPromise<T> = T extends Promise<infer U> ? U : T;
export declare type AsyncReturnType<T extends (...args: any[]) => any> = UnwrapPromise<ReturnType<T>>;
export * from './fluid';
export * from './ast';
export * from './parser';
