import { FeatureBuilder } from '../FeatureBuilder';
import { IGherkinAst } from '../types';
export interface IGherkinParserOutput {
    ast: IGherkinAst;
    text: string;
    featureBuilder: FeatureBuilder;
}
export interface IGherkinParserConfig {
    feature: string;
    stackIndex?: number;
}
/** Parses a feature file from a relative filePath */
export declare function parseFeature({ feature, stackIndex }: IGherkinParserConfig): IGherkinParserOutput;
